%define _legacy_common_support 1
Summary:	Console jabber client
Name:		mcabber
Version:	1.1.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.lilotux.net/~mikael/mcabber/
Source:		http://www.lilotux.net/~mikael/mcabber/files/mcabber-%{version}.tar.bz2
Patch0:		0001-fix-literal.patch
BuildRequires: pkgconfig(enchant-2)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libidn)
BuildRequires: pkgconfig(libotr)
BuildRequires: pkgconfig(loudmouth-1.0)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: libgcrypt-devel
BuildRequires: gpgme-devel

%description
Mcabber is a small jabber console client which supports SSL support, history
logging, external actions and more.

%prep
%setup -q
%autopatch -p1

# switch to enchant2
sed -i -e '/PKG_CHECK_MODULES/s,enchant,enchant-2,' configure.ac

%build
autoreconf -fi
%configure --disable-dependency-tracking --enable-enchant --enable-otr
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -fr %{buildroot}%{_libdir}/pkgconfig/mcabber.pc %{buildroot}%{_includedir}

%files
%doc AUTHORS ChangeLog NEWS README TODO
%doc mcabberrc.example contrib 
%{_mandir}/man1/mcabber.1*
%{_bindir}/mcabber
%{_datadir}/%{name}
%{_libdir}/mcabber/libbeep.so
%{_libdir}/mcabber/libxttitle.so
%{_libdir}/mcabber/libfifo.so
%{_libdir}/mcabber/liburlregex.so


%changelog
* Thu Nov 24 2022 ghibo <ghibo> 1.1.2-3.mga9
+ Revision: 1910784
- Add patch to fix literal
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Sep 22 2020 luigiwalser <luigiwalser> 1.1.2-1.mga8
+ Revision: 1629465
- 1.1.2

* Thu Aug 06 2020 joequant <joequant> 1.1.0-6.mga8
+ Revision: 1611619
- run fcommon

* Fri Feb 14 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1523125
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 1.1.0-4.mga7
+ Revision: 1369574
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1299496
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 1.1.0-2.mga7
+ Revision: 1228381
- Rebuild for libidn 1.35

* Wed Apr 11 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1217567
- Update to version 1.1.0

* Mon Feb 13 2017 mrambo3501 <mrambo3501> 1.0.5-1.mga6
+ Revision: 1086042
- version 1.0.5 fixes CVE-2017-5589
- added patch which fixes CVE-2017-5604

* Thu Dec 08 2016 mrambo3501 <mrambo3501> 1.0.4-1.mga6
+ Revision: 1073260
- updated version to 1.0.4
  fixes roster push attack security issue (mga #19858 no CVE assigned)

* Sat Feb 06 2016 umeabot <umeabot> 0.10.1-10.mga6
+ Revision: 941389
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-9.mga5
+ Revision: 742505
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-8.mga5
+ Revision: 682312
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10.1-7.mga4
+ Revision: 523476
- Mageia 4 Mass Rebuild

* Sat May 04 2013 pterjan <pterjan> 0.10.1-6.mga3
+ Revision: 412330
- Add missing buildrequires on gpgme
- Add experimental otr4 patch and fix for AM_CONFIG_HEADER
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ shikamaru <shikamaru>
- rebuild for libotr
+ fwang <fwang>
- covert br into pkgconfig style
- drop devel stuff

* Sat Apr 23 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 89876
- bump release, kill buildroot
- imported package mcabber


* Fri Dec 10 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.10.1-1mdv2011.0
+ Revision: 620454
- update to 0.10.1

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-2mdv2011.0
+ Revision: 612841
- the mass rebuild of 2010.1 packages

* Wed Apr 14 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 534886
- add a BR on loudmouth-devel
- new release 0.10.0
- fix file list

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.10-1mdv2010.1
+ Revision: 462311
- Update to new version 0.9.10
- Fix BuildRequires to enable UTF-8, spell check and encryption support

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.9.9-3mdv2010.0
+ Revision: 439790
- rebuild

* Thu Feb 05 2009 Michael Scherer <misc@mandriva.org> 0.9.9-2mdv2009.1
+ Revision: 337744
- rebuild as youri tell me the release part is wrong on x86_64

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 0.9.9-1mdv2009.1
+ Revision: 291496
- update to new version 0.9.9

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-2mdv2009.0
+ Revision: 268140
- rebuild early 2009.0 package (before pixel changes)

* Wed May 14 2008 Michael Scherer <misc@mandriva.org> 0.9.7-1mdv2009.0
+ Revision: 207256
- update to new version 0.9.7

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Thu Jan 17 2008 Michael Scherer <misc@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 154099
- new version 0.9.6

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Michael Scherer <misc@mandriva.org> 0.9.5-1mdv2008.1
+ Revision: 110930
- new version

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.9.4-2mdv2008.1
+ Revision: 109214
- rebuild for new lzma

* Wed Oct 31 2007 Michael Scherer <misc@mandriva.org> 0.9.4-1mdv2008.1
+ Revision: 104057
- new version

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 45966
- 0.9.3

* Wed Jun 13 2007 Michael Scherer <misc@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 38403
- version 0.9.2

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 16826
- update to 0.9.1


* Sun Dec 24 2006 Michael Scherer <misc@mandriva.org> 0.9.0-1mdv2007.0
+ Revision: 102027
- version 0.9.0

* Wed Dec 13 2006 Michael Scherer <misc@mandriva.org> 0.8.3-1mdv2007.1
+ Revision: 96049
- update to 0.8.3

* Tue Oct 03 2006 Michael Scherer <misc@mandriva.org> 0.8.2-1mdv2007.0
+ Revision: 62828
- update to 0.8.2
- Import mcabber

